ServerEvents.recipes(event => {
    //Stools
    Color.DYE.forEach(type => {
        event.remove({ id: `quark:building/crafting/${type}_stool` });
        event.shaped(`quark:${type}_stool`, ['AAA', 'B B'], { A: `${type}_wool`, B: '#minecraft:planks' }).id(`kubejs:variant/crafting/${type}_stool`);
    });

    //Crafting
    event.remove({ id: 'minecraft:armor_stand' });
    event.remove({ id: 'minecraft:barrel' });
    event.remove({ id: 'minecraft:chiseled_bookshelf' });
    event.remove({ id: 'minecraft:composter' });
    event.remove({ id: 'minecraft:daylight_detector' });
    event.remove({ id: 'minecraft:grindstone' });
    event.remove({ id: 'minecraft:lectern' });
    event.remove({ id: 'enigmaticlegacy:twisted_mirror' });
    event.remove({ id: 'quark:building/crafting/glass_item_frame' });

    //Minecraft
    event.shaped('armor_stand', [
        'AAA',
        ' A ',
        'ABA'
    ], {
        A: '#forge:rods/wooden',
        B: 'smooth_stone'
    }).id('kubejs:variant/crafting/armor_stand');
    event.shaped('barrel', [
        'A A',
        'A A',
        'A A'
    ], {
        A: '#minecraft:planks'
    }).id('kubejs:variant/crafting/barrel');
    event.shaped('chiseled_bookshelf', [
        'AAA',
        '   ',
        'AAA'
    ], {
        A: '#minecraft:planks'
    }).id('kubejs:variant/chiseled_bookshelf');
    event.shaped('composter', [
        'A A',
        'A A',
        'AAA'
    ], {
        A: '#minecraft:planks'
    }).id('kubejs:variant/crafting/composter');
    event.shaped('daylight_detector', [
        'AAA',
        'BBB',
        'CCC'
    ], {
        A: '#forge:glass/colorless',
        B: '#forge:gems/quartz',
        C: '#minecraft:planks'
    }).id('kubejs:variant/crafting/daylight_detector');
    event.shaped('grindstone', [
        'ABA',
        'C C'
    ], {
        A: '#forge:rods/wooden',
        B: 'stone',
        C: '#minecraft:planks'
    }).id('kubejs:variant/crafting/grindstone');
    event.shaped('lectern', [
        'AAA',
        ' B ',
        ' A '
    ], {
        A: '#minecraft:planks',
        B: '#forge:bookshelves'
    }).id('kubejs:variant/crafting/lectern');
    //Enigmatic Legacy
    event.shaped('enigmaticlegacy:twisted_mirror', [
        'ABA',
        'CDC',
        ' A '
    ], {
        A: '#forge:ingots/iron',
        B: 'glass',
        C: 'enigmaticlegacy:recall_potion',
        D: 'enigmaticlegacy:twisted_heart'
    }).id('kubejs:variant/twisted_mirror');
    //Quark
    event.shaped('quark:glass_item_frame', [
        'AAA',
        'ABA',
        'AAA'
    ], {
        A: '#forge:glass/colorless',
        B: 'item_frame'
    }).id('kubejs:variant/crafting/glass_item_frame');
});